Subject: Hello

From: [email-masked] (Murray Roberts)
Date: Thu, 27 Apr 1995 18:20:13 +0100

As a new member of this newgroup I thought I'd send a short message to 
introduce myself and my interest in symbiosis. Based here at the University 
of Glasgow I am investigating the role of nitrogen recycling in the 
symbiotic sea anemone Anemonia viridis (the snakelocks anemone).

I would be delighted to hear from others working in this area, especially 
anyone with anything to say on the idea of nitrogen recycling in symbiotic 
associations.

Murray Roberts
Division of Environmental and Evolutionary Biology
Institute of Biomedical and Life Sciences, 
University of Glasgow,
Glasgow, Scotland. G12 8QQ
UK

Tel:  0141-339 8855 extn. 5985